echo off
cls
echo                  !!!!! WARNING !!!!!
echo.
echo   You are about to copy your AviSys backup file from
echo   the diskette in drive A into your data directory.
echo.
echo   Your current AviSys data will be replaced by the 
echo   data on the diskette in drive A.
echo.
echo   You will lose any AviSys data entered since the last 
echo   time you did a backup to the diskette.
echo.
echo   You may want to first do a backup of the current AviSys
echo   data onto a fresh diskette to preserve your current data.
echo.
echo   If you DO NOT want to overwrite your current AviSys data
echo   with the backup data, PRESS Ctrl-Break NOW.
echo.
echo   Otherwise, to continue with the copy operation...
echo   ...press any key.
echo.
pause > nul
cls
echo.
echo.
echo.
echo.
echo.
lha e /cm1 a:\avibu
echo.
echo.
if errorlevel 3 goto temperr
if errorlevel 2 goto fatalerr
if errorlevel 1 goto crcerr
if errorlevel 0 goto complete
:temperr
echo  ERROR  -  Restore failed due to temporary file problem.
goto exit
:fatalerr
echo  ERROR  -  Restore failed due to fatal error.
goto exit
:crcerr
echo  ERROR  -  Restore failed due to lack of disk space.
goto exit
:complete
echo  Restore complete...
goto exit
:exit
echo.
echo  ...press any key.
pause > nul
echo.
echo.

